#if !defined(AFX_MICROCTRLDLG_H__7413FE47_D90C_49E7_B289_51FDA07AB604__INCLUDED_)
#define AFX_MICROCTRLDLG_H__7413FE47_D90C_49E7_B289_51FDA07AB604__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MicroCtrlDlg.h : header file
//
#include "SensorControlDlg.h"

/////////////////////////////////////////////////////////////////////////////
// MicroCtrlDlg dialog

class MicroCtrlDlg : public CDialog
{
// Construction
public:
	int AlarmCheck, Trigger1check, Trigger2check;
	int CurSelAlarm;
	int wdtval;
	int enableWDT;
	TimeStruct *RTCtime;
	AlarmStruct *AlarmSetting;
	bool EEAddrvalid, EEValvalid;
public:
	MicroCtrlDlg(DVP7010ADLL* DVPDLL, CWnd* pParent = NULL);
	~MicroCtrlDlg();
// Dialog Data
	//{{AFX_DATA(MicroCtrlDlg)
	enum { IDD = IDD_MicroCtrlDIALOG };
	CComboBox	m_AlarmTypeCombo;
	CComboBox	m_AlarmCombo;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(MicroCtrlDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	DVP7010ADLL *DVP;
	BOOL LoadDialog();

	// Generated message map functions
	//{{AFX_MSG(MicroCtrlDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnWdtcheck();
	afx_msg void OnChangeWdtedit();
	afx_msg void OnWDTGetBUTTON();
	afx_msg void OnWDTSetBUTTON();
	afx_msg void OnAlarmCHECK();
	afx_msg void OnTrigger1CHECK();
	afx_msg void OnTrigger2CHECK();
	afx_msg void OnChangeYearRTCEDIT();
	afx_msg void OnChangeMonthRTCEDIT();
	afx_msg void OnChangeDateRTCEDIT();
	afx_msg void OnChangeDayRTCEDIT();
	afx_msg void OnChangeHourRTCEDIT();
	afx_msg void OnChangeMinRTCEDIT();
	afx_msg void OnChangeSecRTCEDIT();
	afx_msg void OnRTCGetBUTTON();
	afx_msg void OnRTCSetBUTTON();
	afx_msg void OnSelchangeAlarmCOMBO();
	afx_msg void OnChangeYearAlarmEDIT();
	afx_msg void OnChangeMonthAlarmEDIT();
	afx_msg void OnChangeDateAlarmEDIT();
	afx_msg void OnChangeDayAlarmEDIT();
	afx_msg void OnChangeHourAlarmEDIT();
	afx_msg void OnChangeMinAlarmEDIT();
	afx_msg void OnAlarmGetBUTTON();
	afx_msg void OnAlarmSetBUTTON();
	afx_msg void OnAlarmEnableCHECK();
	afx_msg void OnSelchangeAlarmTypeCOMBO();
	afx_msg void OnPowerOnTypeBUTTON();
	afx_msg void OnChangeEeaddredit();
	afx_msg void OnChangeEevaledit();
	afx_msg void OnEEGetBUTTON();
	afx_msg void OnEESetBUTTON();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MICROCTRLDLG_H__7413FE47_D90C_49E7_B289_51FDA07AB604__INCLUDED_)
