// DVP7010AEXEDlg.cpp : implementation file
//

#include "stdafx.h"
#include "DVP7010AEXE.h"
#include "DVP7010AEXEDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
const int MAXDEVICES = 16;
DVP7010ADLL *DVPSDK;
int width[MAXDEVICES];
int height[MAXDEVICES];
int CurrentDev;
int res;
int	nSnapshotTimes = 0;
HWND hwndPreview[MAXDEVICES];
/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDVP7010AEXEDlg dialog

CDVP7010AEXEDlg::CDVP7010AEXEDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CDVP7010AEXEDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDVP7010AEXEDlg)
	m_Status = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

CDVP7010AEXEDlg::~CDVP7010AEXEDlg()
{
	SensorDlg = NULL;
	delete SensorDlg;
	MCtrlDlg = NULL;	
	delete MCtrlDlg;
	delete [] videoinput;
	delete [] FourChanSwitching;
	delete [] AnalogVINType;
	delete [] BoardIDList;
}

void CDVP7010AEXEDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDVP7010AEXEDlg)
	DDX_Control(pDX, IDC_ChanSwitchCOMBO, m_ChanSwitch);
	DDX_Control(pDX, IDC_AnalogVINCOMBO, m_AnalogVIN);
	DDX_Control(pDX, IDC_DevNoCOMBO, m_DevNo);
	DDX_Control(pDX, IDC_ResCOMBO, m_Resolution);
	DDX_Control(pDX, IDC_FrameRateCOMBO, m_FrameRate);
	DDX_Control(pDX, IDC_VideoInputCOMBO, m_VInput);
	DDX_Text(pDX, IDC_StatusSTATIC, m_Status);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CDVP7010AEXEDlg, CDialog)
	//{{AFX_MSG_MAP(CDVP7010AEXEDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_SensorCtrlBUTTON, OnSensorCtrlBUTTON)
	ON_BN_CLICKED(IDC_CapBUTTON, OnCapBUTTON)
	ON_CBN_SELCHANGE(IDC_VideoInputCOMBO, OnSelchangeVideoInputCOMBO)
	ON_CBN_SELCHANGE(IDC_FrameRateCOMBO, OnSelchangeFrameRateCOMBO)
	ON_CBN_SELCHANGE(IDC_ResCOMBO, OnSelchangeResCOMBO)
	ON_BN_CLICKED(IDC_SnapshotBufBUTTON, OnSnapshotBufBUTTON)
	ON_BN_CLICKED(IDC_ReadGPIOBUTTON, OnReadGPIOBUTTON)
	ON_BN_CLICKED(IDC_GPIOCHECK0, OnGpiocheck0)
	ON_BN_CLICKED(IDC_GPIOCHECK1, OnGpiocheck1)
	ON_BN_CLICKED(IDC_GPIOCHECK2, OnGpiocheck2)
	ON_BN_CLICKED(IDC_GPIOCHECK3, OnGpiocheck3)
	ON_BN_CLICKED(IDC_GPIOCHECK4, OnGpiocheck4)
	ON_BN_CLICKED(IDC_GPIOCHECK5, OnGpiocheck5)
	ON_BN_CLICKED(IDC_GPIOCHECK6, OnGpiocheck6)
	ON_BN_CLICKED(IDC_GPIOCHECK7, OnGpiocheck7)
	ON_CBN_SELCHANGE(IDC_DevNoCOMBO, OnSelchangeDevNoCOMBO)
	ON_BN_CLICKED(IDC_MicroCtrlBUTTON, OnMicroCtrlBUTTON)
	ON_CBN_SELCHANGE(IDC_AnalogVINCOMBO, OnSelchangeAnalogVINCOMBO)
	ON_WM_TIMER()
	ON_CBN_SELCHANGE(IDC_ChanSwitchCOMBO, OnSelchangeChanSwitchCOMBO)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDVP7010AEXEDlg message handlers

typedef int (WINAPI* ptr_func1)(void **pp);
ptr_func1 Adv_DVPAPI_CreateSDKInstence  = NULL;

HINSTANCE hDll;

BOOL CDVP7010AEXEDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	int i, j;
	hDll = LoadLibrary("DVP7010A");
	if (hDll)
	{
		Adv_DVPAPI_CreateSDKInstence = (ptr_func1)GetProcAddress(hDll, _T("Adv_DVPAPI_CreateSDKInstence"));
	}
	if (Adv_DVPAPI_CreateSDKInstence((void **)&DVPSDK)!=SUCCEEDED) return TRUE;
	int NoDevs = DVPSDK->Adv_DVPAPI_GetNoOfDevices();
	if (NoDevs>16||NoDevs<1) return FALSE;
	BoardIDList = new int[MAXDEVICES];
	videoinput = new int[MAXDEVICES];
	FourChanSwitching = new int[MAXDEVICES];
	AnalogVINType = new BOOL[MAXDEVICES];
	res = DVPSDK->Adv_DVPAPI_InitSDK(NoDevs, BoardIDList);
	if (res==SUCCEEDED)
	{
		int bitval[8];
		char DEVNo[20];
		GetDlgItem(IDC_DevNoCOMBO)->EnableWindow(true);
		j=0;
		for (i=0; i<MAXDEVICES; i++)
		{
			AnalogVINType[i] = 0;
			FourChanSwitching[i] = 0;
			videoinput[i] = 0;
			width[i] = 320;
			height[i] = 240;
			if (BoardIDList[i]>=0)
			{
				sprintf(DEVNo, "BID_%d", i);
				m_DevNo.AddString(DEVNo);
				BoardIDList[i] = j++;
			}
			if (BoardIDList[i]==0) 
				CurrentDev = i;
		}
		m_Status.Format("%d", NoDevs);
		SensorDlg = new SensorControlDlg(DVPSDK);	
		MCtrlDlg = new MicroCtrlDlg(DVPSDK);
		addrvalid = false;
		valvalid = false;
		m_DevNo.SetCurSel(0);
		m_VInput.SetCurSel(0);
		m_FrameRate.SetCurSel(2);
		m_Resolution.SetCurSel(2);
		m_AnalogVIN.SetCurSel(0);
		m_ChanSwitch.SetCurSel(0);
		GetDlgItem(IDC_ReadGPIOBUTTON)->EnableWindow(true);
		GetDlgItem(IDC_VideoInputCOMBO)->EnableWindow(true);		
		GetDlgItem(IDC_AnalogVINCOMBO)->EnableWindow(true);		
		GetDlgItem(IDC_ChanSwitchCOMBO)->EnableWindow(true);
		GetDlgItem(IDC_MicroCtrlBUTTON)->EnableWindow(true);
		GetDlgItem(IDC_SensorCtrlBUTTON)->EnableWindow(true);
		GetDlgItem(IDC_CapBUTTON)->EnableWindow(true);
		GetDlgItem(IDC_ResCOMBO)->EnableWindow(true);
		GetDlgItem(IDC_FrameRateCOMBO)->EnableWindow(true);		
		for(i=0; i<8; i++)  
		{
			GetDlgItem(IDC_GPIOCHECK0+i)->EnableWindow(true);
			int readGPIORes = DVPSDK->Adv_DVPAPI_GPIOGetData(CurrentDev, i, &bitval[i]);
			if (readGPIORes==SUCCEEDED) 
				((CButton*)GetDlgItem(IDC_GPIOCHECK0+i))->SetCheck(bitval[i]==1);
			else
			{
				MessageBox("Read GPIO failed");		
				break;
			}
		}
		for (i=0; i<MAXDEVICES; i++)
		{
			hwndPreview[i] = NULL;
			GetDlgItem(IDC_PreviewSTATIC0+i, &hwndPreview[i]);
			GetDlgItem(IDC_PreviewSTATIC0+i)->ShowWindow(SW_SHOW);
		}
	}
	UpdateData(FALSE);
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CDVP7010AEXEDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

void CDVP7010AEXEDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CDVP7010AEXEDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CDVP7010AEXEDlg::OnDestroy() 
{
	int	res = DVPSDK->Adv_DVPAPI_CloseSDK();
	DVPSDK = NULL;
	delete DVPSDK;
	FreeLibrary(hDll);
	CDialog::OnDestroy();
}

int NewFrameCallback(int lParam, int nID, int BoardID, int muxchan, int bufsize, BYTE* buf)
{
	if (nID==ID_NEW_FRAME) return 1;
	long size = width[BoardID]*height[BoardID]*2;
	BITMAPINFOHEADER bih;
	memset(&bih, 0, sizeof(bih));
	bih.biSize = sizeof(bih);
	bih.biWidth = width[BoardID];
	bih.biHeight = height[BoardID];
	bih.biPlanes = 1;
	bih.biBitCount = 16;
	RECT rc;
	::GetClientRect(hwndPreview[BoardID], &rc);
	long lStillWidth = rc.right - rc.left;
	long lStillHeight = rc.bottom - rc.top;
    long SDleft, SDtop;
	HDC hdcStill = ::GetDC(hwndPreview[BoardID]);
	PAINTSTRUCT ps;
	::BeginPaint(hwndPreview[BoardID], &ps);
	SetStretchBltMode(hdcStill, COLORONCOLOR);
	switch(muxchan)
	{
		case 0 :				
			SDleft = 0;
			SDtop = 0; 
			StretchDIBits( 
				hdcStill, SDleft, SDtop, 
				lStillWidth/2, lStillHeight/2, 
				0, 0, width[BoardID], height[BoardID], 
				buf, 
				(BITMAPINFO*) &bih, 
				DIB_RGB_COLORS, 
				SRCCOPY );
			break;
		case 1:
			SDleft = 0;
			SDtop = lStillHeight/2; 
			StretchDIBits( 
				hdcStill, SDleft, SDtop, 
				lStillWidth/2, lStillHeight/2, 
				0, 0, width[BoardID], height[BoardID], 
				buf, 
				(BITMAPINFO*) &bih, 
				DIB_RGB_COLORS, 
				SRCCOPY );
			break;
		case 2:
			SDleft = lStillWidth/2;
			SDtop = 0; 
			StretchDIBits( 
				hdcStill, SDleft, SDtop, 
				lStillWidth/2, lStillHeight/2, 
				0, 0, width[BoardID], height[BoardID], 
				buf, 
				(BITMAPINFO*) &bih, 
				DIB_RGB_COLORS, 
				SRCCOPY );
			break;
		case 3:
			SDleft = lStillWidth/2;
			SDtop = lStillHeight/2; 
			StretchDIBits( 
				hdcStill, SDleft, SDtop, 
				lStillWidth/2, lStillHeight/2, 
				0, 0, width[BoardID], height[BoardID], 
				buf, 
				(BITMAPINFO*) &bih, 
				DIB_RGB_COLORS, 
				SRCCOPY );
			break;
	}
	::EndPaint(hwndPreview[BoardID], &ps);
	::ReleaseDC(hwndPreview[BoardID], hdcStill);    
	return 1;
}

void CDVP7010AEXEDlg::OnSensorCtrlBUTTON() 
{
	SensorDlg->DoModal();	
}

void CDVP7010AEXEDlg::OnMicroCtrlBUTTON() 
{
	MCtrlDlg->DoModal();
}

void CDVP7010AEXEDlg::OnCapBUTTON() 
{
	if (DVPSDK->Adv_DVPAPI_GetCapState(CurrentDev) == STOPPED)
	{
		res = DVPSDK->Adv_DVPAPI_Start(CurrentDev, FourChanSwitching[CurrentDev], m_hWnd, hwndPreview[CurrentDev]);
		DVPSDK->Adv_DVPAPI_SetNewFrameCallback(CurrentDev, (int)NewFrameCallback);
		if (res==SUCCEEDED)
		{ 
			SetDlgItemText(IDC_CapBUTTON, "Stop");
			GetDlgItem(IDC_ResCOMBO)->EnableWindow(false);
			GetDlgItem(IDC_FrameRateCOMBO)->EnableWindow(false);
			GetDlgItem(IDC_SnapshotBufBUTTON)->EnableWindow(true);
			GetDlgItem(IDC_ReadGPIOBUTTON)->EnableWindow(false);
			GetDlgItem(IDC_MicroCtrlBUTTON)->EnableWindow(false);
			GetDlgItem(IDC_ChanSwitchCOMBO)->EnableWindow(false);
			GetDlgItem(IDC_AnalogVINCOMBO)->EnableWindow(false);
			for(int i=0; i<8; i++)  
				GetDlgItem(IDC_GPIOCHECK0+i)->EnableWindow(false);
		}
	}
	else if (DVPSDK->Adv_DVPAPI_GetCapState(CurrentDev) == RUNNING)
	{
		res = DVPSDK->Adv_DVPAPI_Stop(CurrentDev);
		if (res==SUCCEEDED)
		{
			SetDlgItemText(IDC_CapBUTTON, "Start");
			GetDlgItem(IDC_ResCOMBO)->EnableWindow(true);
			GetDlgItem(IDC_FrameRateCOMBO)->EnableWindow(true);
			GetDlgItem(IDC_SnapshotBufBUTTON)->EnableWindow(false);
			GetDlgItem(IDC_ReadGPIOBUTTON)->EnableWindow(true);
			GetDlgItem(IDC_MicroCtrlBUTTON)->EnableWindow(true);
			GetDlgItem(IDC_ChanSwitchCOMBO)->EnableWindow(true);
			GetDlgItem(IDC_AnalogVINCOMBO)->EnableWindow(true);
			for(int i=0; i<8; i++)  
				GetDlgItem(IDC_GPIOCHECK0+i)->EnableWindow(true);
		}
	}
}

void CDVP7010AEXEDlg::OnSelchangeVideoInputCOMBO() 
{
	int cursel = m_VInput.GetCurSel();
	if (FourChanSwitching[CurrentDev]>0)
	{	
		if(cursel<FourChanSwitching[CurrentDev])
		videoinput[CurrentDev] = cursel;
	}
	else
	{
		int res = DVPSDK->Adv_DVPAPI_SetVideoInput(CurrentDev, cursel);
		if (res==SUCCEEDED)
			videoinput[CurrentDev] = cursel;
	}
}

void CDVP7010AEXEDlg::OnSelchangeFrameRateCOMBO() 
{
	DVPSDK->Adv_DVPAPI_SetFrameRate(CurrentDev, 10.0*m_FrameRate.GetCurSel()+10.0);	
}

void CDVP7010AEXEDlg::OnSelchangeResCOMBO() 
{
	DVPSDK->Adv_DVPAPI_SetResolution(CurrentDev, (VideoSize)(m_Resolution.GetCurSel()));
	switch (m_Resolution.GetCurSel())
	{
		case 0:
			width[CurrentDev] = 720;
			height[CurrentDev] = AnalogVINType[CurrentDev]==0 ? 480: 576;
			break;
		case 1:
			width[CurrentDev] = 640;
			height[CurrentDev] = 480;
			break;
		case 2:
			width[CurrentDev] = 320;
			height[CurrentDev] = 240;
			break;
		case 3:
			width[CurrentDev] = 160;
			height[CurrentDev] = 120;
			break;
		default:
			width[CurrentDev] = 320;
			height[CurrentDev] = 240;
	}
}

void CDVP7010AEXEDlg::OnSnapshotBufBUTTON() 
{
	HWND hwndSnapshot = NULL;
	GetDlgItem(IDC_SnapshotSTATIC, &hwndSnapshot);
	long size = width[CurrentDev]*height[CurrentDev]*2;
	BYTE* buf = new BYTE[size];
	res = DVPSDK->Adv_DVPAPI_GetCurFrameBuffer(CurrentDev, videoinput[CurrentDev], &size, buf);
	if (res!=SUCCEEDED) return;
	BITMAPINFOHEADER bih;
	memset(&bih, 0, sizeof(bih));
	bih.biSize = sizeof(bih);
	bih.biWidth = width[CurrentDev];
	bih.biHeight = height[CurrentDev];
	bih.biPlanes = 1;
	bih.biBitCount = 16;

	RECT rc;
	::GetClientRect(hwndSnapshot, &rc);
	long lStillWidth = rc.right - rc.left;
	long lStillHeight = rc.bottom - rc.top;
      
	HDC hdcStill = ::GetDC(hwndSnapshot);
	PAINTSTRUCT ps;
	::BeginPaint(hwndSnapshot, &ps);

	SetStretchBltMode(hdcStill, COLORONCOLOR);
	StretchDIBits( 
		hdcStill, 0, 0, 
		lStillWidth, lStillHeight, 
		0, 0, width[CurrentDev], height[CurrentDev], 
		buf, 
		(BITMAPINFO*) (&bih), 
		DIB_RGB_COLORS, 
		SRCCOPY );

	::EndPaint(hwndSnapshot, &ps);
	::ReleaseDC(hwndSnapshot, hdcStill);    

	TCHAR FileName[MAX_PATH];
	wsprintf(FileName, TEXT("C:\\Snapshot%4.4ld.bmp"), nSnapshotTimes);
	nSnapshotTimes++;
	HANDLE hf = CreateFile(
	FileName, GENERIC_WRITE, 0, NULL,
	CREATE_ALWAYS, NULL, NULL);
	if(hf == INVALID_HANDLE_VALUE) return;
	BITMAPFILEHEADER bfh;
	memset(&bfh, 0, sizeof(bfh));
	bfh.bfType = 'MB';
	bfh.bfSize = sizeof(bfh) + size + sizeof(BITMAPINFOHEADER);
	bfh.bfOffBits = sizeof(BITMAPINFOHEADER) + sizeof(BITMAPFILEHEADER);
	DWORD dwWritten = 0;
	WriteFile(hf, &bfh, sizeof(bfh), &dwWritten, NULL);
	dwWritten = 0;
	WriteFile(hf, &bih, sizeof(bih), &dwWritten, NULL);
	dwWritten = 0;
	WriteFile(hf, buf, size, &dwWritten, NULL);
	CloseHandle(hf);
	buf = NULL;
}

void CDVP7010AEXEDlg::OnReadGPIOBUTTON() 
{
	int bitval[8];
	CString byteval = "";
	SetDlgItemText(IDC_GPIOSTATIC, "");
	for(int i=7; i>=0; i--)
	{
		int readGPIORes = DVPSDK->Adv_DVPAPI_GPIOGetData(CurrentDev, i, &bitval[i]);
		if (readGPIORes==SUCCEEDED) 
			byteval += (bitval[i]==1) ? '1' : '0';
		else
		{
			MessageBox("Read GPIO failed");		
			return;
		}
	}
	SetDlgItemText(IDC_GPIOSTATIC, byteval);
}

void CDVP7010AEXEDlg::OnGpiocheck0() 
{
	int bitval, writeGPIOres;
	bitval = ((CButton*)GetDlgItem(IDC_GPIOCHECK0))->GetCheck();// ? 1:0;
	writeGPIOres = DVPSDK->Adv_DVPAPI_GPIOSetData(CurrentDev, 0, bitval);
	if (writeGPIOres!=SUCCEEDED)
		MessageBox("Write GPIO Pin0 failed");		
}

void CDVP7010AEXEDlg::OnGpiocheck1() 
{
	int bitval, writeGPIOres;
	bitval = ((CButton*)GetDlgItem(IDC_GPIOCHECK1))->GetCheck();// ? 1:0;
	writeGPIOres = DVPSDK->Adv_DVPAPI_GPIOSetData(CurrentDev, 1, bitval);
	if (writeGPIOres!=SUCCEEDED)
		MessageBox("Write GPIO Pin1 failed");
}

void CDVP7010AEXEDlg::OnGpiocheck2() 
{
	int bitval, writeGPIOres;
	bitval = ((CButton*)GetDlgItem(IDC_GPIOCHECK2))->GetCheck();// ? 1:0;
	writeGPIOres = DVPSDK->Adv_DVPAPI_GPIOSetData(CurrentDev, 2, bitval);
	if (writeGPIOres!=SUCCEEDED)
		MessageBox("Write GPIO Pin2 failed");
}

void CDVP7010AEXEDlg::OnGpiocheck3() 
{
	int bitval, writeGPIOres;
	bitval = ((CButton*)GetDlgItem(IDC_GPIOCHECK3))->GetCheck();// ? 1:0;
	writeGPIOres = DVPSDK->Adv_DVPAPI_GPIOSetData(CurrentDev, 3, bitval);
	if (writeGPIOres!=SUCCEEDED)
		MessageBox("Write GPIO Pin3 failed");
}


void CDVP7010AEXEDlg::OnGpiocheck4() 
{
	int bitval, writeGPIOres;
	bitval = ((CButton*)GetDlgItem(IDC_GPIOCHECK4))->GetCheck();// ? 1:0;
	writeGPIOres = DVPSDK->Adv_DVPAPI_GPIOSetData(CurrentDev, 4, bitval);
	if (writeGPIOres!=SUCCEEDED)
		MessageBox("Write GPIO Pin4 failed");
}

void CDVP7010AEXEDlg::OnGpiocheck5() 
{
	int bitval, writeGPIOres;
	bitval = ((CButton*)GetDlgItem(IDC_GPIOCHECK5))->GetCheck();// ? 1:0;
	writeGPIOres = DVPSDK->Adv_DVPAPI_GPIOSetData(CurrentDev, 5, bitval);
	if (writeGPIOres!=SUCCEEDED)
		MessageBox("Write GPIO Pin5 failed");
}

void CDVP7010AEXEDlg::OnGpiocheck6() 
{
	int bitval, writeGPIOres;
	bitval = ((CButton*)GetDlgItem(IDC_GPIOCHECK6))->GetCheck();// ? 1:0;
	writeGPIOres = DVPSDK->Adv_DVPAPI_GPIOSetData(CurrentDev, 6, bitval);
	if (writeGPIOres!=SUCCEEDED)
		MessageBox("Write GPIO Pin6 failed");
}

void CDVP7010AEXEDlg::OnGpiocheck7() 
{
	int bitval, writeGPIOres;
	bitval = ((CButton*)GetDlgItem(IDC_GPIOCHECK7))->GetCheck();// ? 1:0;
	writeGPIOres = DVPSDK->Adv_DVPAPI_GPIOSetData(CurrentDev, 7, bitval);
	if (writeGPIOres!=SUCCEEDED)
		MessageBox("Write GPIO Pin7 failed");
}

void CDVP7010AEXEDlg::OnSelchangeDevNoCOMBO() 
{
	for(int i=0; i<MAXDEVICES; i++)
	{
		if (BoardIDList[i]==m_DevNo.GetCurSel())
			CurrentDev = i;					
	}
	int bitval[8];
	if (DVPSDK->Adv_DVPAPI_GetCapState(CurrentDev) == RUNNING)
	{
		SetDlgItemText(IDC_CapBUTTON, "Stop");	
		SetDlgItemText(IDC_CapBUTTON, "Stop");
		GetDlgItem(IDC_ResCOMBO)->EnableWindow(false);
		GetDlgItem(IDC_FrameRateCOMBO)->EnableWindow(false);
		GetDlgItem(IDC_SnapshotBufBUTTON)->EnableWindow(true);
		GetDlgItem(IDC_ReadGPIOBUTTON)->EnableWindow(false);
		GetDlgItem(IDC_MicroCtrlBUTTON)->EnableWindow(false);
		GetDlgItem(IDC_AnalogVINCOMBO)->EnableWindow(false);
		GetDlgItem(IDC_ChanSwitchCOMBO)->EnableWindow(false);
		for(int i=0; i<8; i++)  
		{
			GetDlgItem(IDC_GPIOCHECK0+i)->EnableWindow(false);
			int readGPIORes = DVPSDK->Adv_DVPAPI_GPIOGetData(CurrentDev, i, &bitval[i]);
			if (readGPIORes==SUCCEEDED) 
				((CButton*)GetDlgItem(IDC_GPIOCHECK0+i))->SetCheck(bitval[i]==1);
			else
			{
				MessageBox("Read GPIO failed");		
				break;
			}
		}
	}
	else
	{
		SetDlgItemText(IDC_CapBUTTON, "Start");
		GetDlgItem(IDC_ResCOMBO)->EnableWindow(true);
		GetDlgItem(IDC_FrameRateCOMBO)->EnableWindow(true);
		GetDlgItem(IDC_SnapshotBufBUTTON)->EnableWindow(false);
		GetDlgItem(IDC_ReadGPIOBUTTON)->EnableWindow(true);
		GetDlgItem(IDC_MicroCtrlBUTTON)->EnableWindow(true);
		GetDlgItem(IDC_AnalogVINCOMBO)->EnableWindow(true);
		GetDlgItem(IDC_ChanSwitchCOMBO)->EnableWindow(true);
		for(int i=0; i<8; i++)  
		{
			GetDlgItem(IDC_GPIOCHECK0+i)->EnableWindow(true);
			int readGPIORes = DVPSDK->Adv_DVPAPI_GPIOGetData(CurrentDev, i, &bitval[i]);
			if (readGPIORes==SUCCEEDED) 
				((CButton*)GetDlgItem(IDC_GPIOCHECK0+i))->SetCheck(bitval[i]==1);
			else
			{
				MessageBox("Read GPIO failed");		
				break;
			}
		}
	}
	m_ChanSwitch.SetCurSel(FourChanSwitching[CurrentDev]>0 ? FourChanSwitching[CurrentDev]-1:0);
	VideoSize VRes;
	DVPSDK->Adv_DVPAPI_GetResolution(CurrentDev, &VRes);
	m_Resolution.SetCurSel((int)VRes);
	double frate(0.0);
	DVPSDK->Adv_DVPAPI_GetFrameRate(CurrentDev, &frate);	
	if (frate<30.1&&frate>29.9)
		m_FrameRate.SetCurSel(2);
	else if (frate<20.1&&frate>19.9)
		m_FrameRate.SetCurSel(1);
	else if (frate<10.1&&frate>9.9)
		m_FrameRate.SetCurSel(0);
	if(FourChanSwitching[CurrentDev]==0)
	{
		int vinput(0);
		DVPSDK->Adv_DVPAPI_GetVideoInput(CurrentDev, &vinput);	
		m_VInput.SetCurSel(vinput);
	}
	m_AnalogVIN.SetCurSel(AnalogVINType[CurrentDev]);
}

void CDVP7010AEXEDlg::OnSelchangeAnalogVINCOMBO() 
{
	int CurSel = m_AnalogVIN.GetCurSel();
	res = DVPSDK->Adv_DVPAPI_SetVideoFormat(CurrentDev, (CurSel==0)?Video_NTSC_M:Video_PAL_B);
	if (res== SUCCEEDED)
		AnalogVINType[CurrentDev] = CurSel;
	if (m_Resolution.GetCurSel()==0)
		height[CurrentDev] = AnalogVINType[CurrentDev]==0 ? 480: 576;
}

void CDVP7010AEXEDlg::OnSelchangeChanSwitchCOMBO() 
{
	int cursel = m_ChanSwitch.GetCurSel();
	FourChanSwitching[CurrentDev] = cursel>0? cursel+1:0;
	GetDlgItem(IDC_VideoInputCOMBO)->EnableWindow(FourChanSwitching[CurrentDev]==0);
	if (cursel==0)
	{	
		int res = DVPSDK->Adv_DVPAPI_SetVideoInput(CurrentDev, 0);
		if (res==SUCCEEDED)
			videoinput[CurrentDev] = 0;
	}
}
