// DVP7010AEXEDlg.h : header file
//

#if !defined(AFX_DVP7010AEXEDLG_H__E10B3207_8C64_4762_A695_904246F94931__INCLUDED_)
#define AFX_DVP7010AEXEDLG_H__E10B3207_8C64_4762_A695_904246F94931__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
//#include "..\DVP7010ADLL\DVP7010ADLL.h"
#include "MicroCtrlDlg.h"

/////////////////////////////////////////////////////////////////////////////
// CDVP7010AEXEDlg dialog

class CDVP7010AEXEDlg : public CDialog
{
// Construction
public:
	CDVP7010AEXEDlg(CWnd* pParent = NULL);	// standard constructor
	~CDVP7010AEXEDlg();

// Dialog Data
	//{{AFX_DATA(CDVP7010AEXEDlg)
	enum { IDD = IDD_DVP7010AEXE_DIALOG };
	CComboBox	m_ChanSwitch;
	CComboBox	m_AnalogVIN;
	CComboBox	m_DevNo;
	CComboBox	m_Resolution;
	CComboBox	m_FrameRate;
	CComboBox	m_VInput;
	CString	m_Status;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDVP7010AEXEDlg)
	public:
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
	CDialog *SensorDlg;
	CDialog *MCtrlDlg;
	bool addrvalid, valvalid;
	int* videoinput;
	int* BoardIDList;
	int* FourChanSwitching;
	BOOL* AnalogVINType;
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDVP7010AEXEDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDestroy();
	afx_msg void OnSensorCtrlBUTTON();
	afx_msg void OnCapBUTTON();
	afx_msg void OnSelchangeVideoInputCOMBO();
	afx_msg void OnSelchangeFrameRateCOMBO();
	afx_msg void OnSelchangeResCOMBO();
	afx_msg void OnSnapshotBufBUTTON();
	afx_msg void OnReadGPIOBUTTON();
	afx_msg void OnGpiocheck0();
	afx_msg void OnGpiocheck1();
	afx_msg void OnGpiocheck2();
	afx_msg void OnGpiocheck3();
	afx_msg void OnGpiocheck4();
	afx_msg void OnGpiocheck5();
	afx_msg void OnGpiocheck6();
	afx_msg void OnGpiocheck7();
	afx_msg void OnSelchangeDevNoCOMBO();
	afx_msg void OnMicroCtrlBUTTON();
	afx_msg void OnSelchangeAnalogVINCOMBO();
	afx_msg void OnSelchangeChanSwitchCOMBO();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DVP7010AEXEDLG_H__E10B3207_8C64_4762_A695_904246F94931__INCLUDED_)
